Validate L2 Network Extensions

Validate L2 Network Extensions
Validate L2 network extensions

Validates network extension configuration before actually extending networks. This API performs comprehensive pre-flight checks to identify potential issues before committing to the extension operation.

Request
URI
POST
https://{server}/hybridity/api/l2NetworkExtensions/validate
COPY
Query Parameters
string
validateDestination
Optional
Constraints: default: false

When true, also validates at destination site (slower but comprehensive)

Possible values are : true, false,

Request Body

Network extension configuration to validate

L2NetworkExtensionRequest of type(s) application/json
Required

Show optional properties

{
    "items": [
        {}
    ]
}
{
    "items": [
        {
            "stretchId": "string",
            "vcGuid": "string",
            "gateway": "string",
            "netmask": "string",
            "source": {
                "endpointId": "string",
                "endpointType": "string",
                "endpointName": "string",
                "resourceId": "string",
                "resourceType": "string",
                "resourceName": "string"
            },
            "destination": {
                "endpointId": "string",
                "endpointType": "string",
                "endpointName": "string",
                "resourceId": "string",
                "resourceType": "string",
                "resourceName": "string"
            },
            "sourceNetwork": {
                "networkId": "string",
                "networkType": "string",
                "networkName": "string",
                "gatewayId": "string",
                "accessMode": "string",
                "gatewayName": "string",
                "layer2Id": "string",
                "isDistributedRouter": false,
                "trunkMode": false,
                "isNsxT": false,
                "logicalSwitchId": "string",
                "vcGuid": "string",
                "dvsType": "string",
                "transportZoneId": "string",
                "transportZoneName": "string",
                "transportZonePath": "string",
                "transportZoneType": "string",
                "resourceBackingDvpgId": "string",
                "vdrMac": "string",
                "dvsId": "string",
                "dvsName": "string"
            },
            "destinationNetwork": {
                "networkId": "string",
                "networkType": "string",
                "networkName": "string",
                "gatewayId": "string",
                "accessMode": "string",
                "gatewayName": "string",
                "layer2Id": "string",
                "isDistributedRouter": false,
                "trunkMode": false,
                "isNsxT": false,
                "logicalSwitchId": "string",
                "vcGuid": "string",
                "dvsType": "string",
                "transportZoneId": "string",
                "transportZoneName": "string",
                "transportZonePath": "string",
                "transportZoneType": "string",
                "resourceBackingDvpgId": "string",
                "vdrMac": "string",
                "dvsId": "string",
                "dvsName": "string"
            },
            "sourceAppliance": {
                "applianceId": "string",
                "applianceName": "string",
                "applianceType": "string",
                "clusterId": "string",
                "haConfig": {
                    "haGroupId": "string",
                    "partnerApplianceId": "string",
                    "haGroupName": "string"
                }
            },
            "features": {
                "proximityRouting": false,
                "egressOptimization": false,
                "mobilityOptimizedNetworking": false
            },
            "dns": [
                "string"
            ],
            "haGroupId": "string",
            "allowOverlappingVLAN": false,
            "allowOverlappingSubnets": false,
            "overrideNetworkProfileConflict": false,
            "allowOverlappingDstVLAN": false,
            "allowVlanNetworkCreation": false,
            "allowVlanBackedSourceAndDestination": false
        }
    ]
}
array of object
items
Required
Constraints: minItems: 1

items

Authentication
This operation uses the following authentication methods.
Responses
202

Accepted

Returns validateL2NetworkExtensionsResponse of type(s) application/json
{
    "data": {
        "jobId": "string",
        "validationResult": [
            {
                "sourceNetworkId": "string",
                "status": "string",
                "warnings": [
                    {
                        "code": "string",
                        "message": "string",
                        "details": {}
                    }
                ],
                "errors": [
                    {
                        "code": "string",
                        "message": "string",
                        "details": {}
                    }
                ]
            }
        ]
    },
    "warnings": [
        {
            "message": "string"
        }
    ],
    "errors": [
        {
            "code": "string",
            "message": "string"
        }
    ]
}
object
data
Optional

data

array of object
warnings
Optional

warnings

array of object
errors
Optional

errors


400

Bad Request

Returns errorResponse of type(s) application/json
{
    "errors": [
        {
            "code": "string",
            "message": "string"
        }
    ]
}
array of object
errors
Optional

errors


401

Unauthorized

Operation doesn't return any data structure

403

Forbidden

Operation doesn't return any data structure

500

Internal Server Error

Returns errorResponse of type(s) application/json
{
    "errors": [
        {
            "code": "string",
            "message": "string"
        }
    ]
}
array of object
errors
Optional

errors


Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"items":["object"]}' https://{api_host}/hybridity/api/l2NetworkExtensions/validate